*{
    margin: 0;
    padding: 0;
}

input::placeholder {color:#ccc;}
body{
    background-color:whitesmoke;
}
header{
width: 100%;
height: 150px;
background-color: #FFB400;
overflow: hidden;
position: fixed;
z-index: 3;
}

/* headerLogo 고정pixel */
.header_logo{
    width: 110px;
    height: 79px;
}
.header_wrap{
    display: flex;
    position: relative;
    width: 100%;
    margin-left: 16%;
    margin-top: 27px;
}
.header_bg{
    position: absolute;
    top: 0;
    float: right;
    right: 50px;
    height: 150px;
    overflow: hidden;
    z-index: -1;
}
.header_bg img{
    height: 150px;
}
.title_wrap{
    height: 79px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 1%;
}
.title_wrap>div:first-child{
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 1rem;
}
.title_wrap>div:last-child{
    font-size: 1.2rem;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
}

/* section_1시작 */
section{
    width: 100vw;
    height: auto;
    position: relative;
    grid-template-columns: 300px 1fr;
    /* column-gap: 20px; */
    padding-top: 150px;
    display: grid;
    z-index: 2;
}
nav{
    width: 200px;
    /* height: 727px; */
    background: #FFEED3;
    position: fixed;
    margin-top: 20px;
    margin-left: 50px;
    padding: 10px;
    border-radius: 15px;
    z-index: 2;
}


.class_form{
    overflow: hidden;
    display: flex;
    flex-direction: column;
    height: auto;
    cursor: pointer;
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 1.5rem;
    color: #FFFFFF;
    text-shadow: -1.5px 0 #000, 0 1.5px #000, 1.5px 0 #000, 0 -1.5px #000;
    width: 65%;
    /* border: 1px solid black; */
    box-sizing: border-box;
    margin: 10px auto;
    
}
.class_form>label{
    width:100%;
    height: 42px;
    display: flex;
    margin: 5px;
    transition: all; 
}
.class_form>label>input{
    display: none;
}
.class_form>label:hover{
    color: #FFB400;
    filter: brightness(1.2);
}
.class_form>label>img{
    margin-right: 10px;
}

#input-weapon-container{
    /* width: 100%; */
    height: 727px;
    position: right;
    margin-top: 20px;
    margin-left: 5%;
}

#input-weapon-container>form>input{
    width: 30px;
    text-align: center;
    margin: 5px;
}
#input-weapon-container>form>select{
    width: 100px;
    margin: 5px;
}

.checked-label {
    color: skyblue;
    /* font-weight: bold; */
  }

.checked-label:hover {
    color: skyblue;
    filter: brightness(1.2);
    /* font-weight: bold; */
  }

  
.hq{
    width: 500px;
    /* border: 1px solid black; */
    height: 727px;
    overflow: hidden;
    position: absolute;
    left: 50%;
    margin-left: -250px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction:column;
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 1.5rem;
    color: #FFFFFF;
    text-shadow: -1.5px -1.5px 0 black, 1.5px -1.5px 0 black, -1.5px 1.5px 0 black, 1.5px 1.5px 0 black;
    z-index: 1;
}
.hq>div{
    width: 100%;
}
.domi{
    display: grid;
    opacity: 0.4;
    grid-template-columns: 1fr 1fr;
}
.domi>img{
    margin: 20px;
    width: 100%;
}

.floating-button {
    position: fixed;
    bottom: 40px;
    right: 40px;
  }
  
  .floating-button button {
    margin: 20px;
    padding: 10px 20px;
    background-color: green;
    color: white;
    border: none;
    flex-direction:column;
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 1rem;
    color: #FFFFFF;
    border-radius: 50px;
    /* cursor: pointer; */
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    /* transition: background-color 0.3s ease; */
  }
  
  .floating-button button:hover {
    background-color: darkgreen;
  }  


  /* 너클 */
    /* .knuckle_title{
        display: flex;
        min-width: 100px;
        width: 100px;
        text-align: center;
        
        height: 39px;
        line-height: 39px;
        margin-bottom: 5px;
    } */
  .weapon_title{
    width: 55px;
    /* border: 1px solid black; */
    color: #F49034;
    margin-top: 26px;
    margin-left: 26px;
  }

  #input-weapon-container>form{
    width: 80%;
    background: #FFEED3;
    position: right;
    margin: 20px;
    /* padding: 20px; */
    min-width: 850px;
    border-radius: 15px;
    position: relative;
    overflow: hidden;
    display: flex;
}

.weapon_info{
    width: 83%;
    margin-top: 20px;
    margin-left: 31px;
    margin-bottom: 20px;
    background: #FDFDFD;
    display: inline-grid;
	/* grid-template-rows: repeat(3, minmax(1fr, auto)); */
    /* grid-template-columns: repeat(auto-fill,minmax(110px,1fr)); */
    grid-template-rows: 1fr 1fr 1fr 1fr;
	grid-auto-flow: column dense;
	/* justify-items: flex-start; */
    /* align-content: space-around; */
	/* grid-auto-rows: 1fr 2fr; */
    /* grid-template-rows: 100px 100px 50px;  */
    margin-right: -120px;
    min-width: 200px;
    padding: 20px;
    padding-right: 50px;
    /* place-items: center; */
    border-radius: 15px;
}
.weapon_img{
    position: relative;
    margin-right: -30px;
}
.weapon_img>img{
    width: 313px;
    height: 184px;
    object-fit: fill;
}
.weapon_info label{
    padding-left: 4px;
    /* line-height: 85px; */
    text-align: justify;
    z-index: 1;
}

.weapon_damage{
    /* width: 30px; */
    text-align: center;
    z-index: 1;
}